Package org.apache.commons.imaging.formats.jpeg.iptc

# Enum IptcTypes

java.lang.Object
java.lang.Enum<IptcTypes>
org.apache.commons.imaging.formats.jpeg.iptc.IptcTypes

All Implemented Interfaces:
  `Serializable`, `Comparable<IptcTypes>`, `IptcType`

public enum IptcTypes extends Enum<IptcTypes> implements IptcType

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `ACTION_ADVISED`
  `AUDIO_DURATION`
  `AUDIO_OUTCUE`
  `AUDIO_SAMPLING_RATE`
  `AUDIO_SAMPLING_RESOLUTION`
  `AUDIO_TYPE`
  `BYLINE`
  `BYLINE_TITLE`
  `CAPTION_ABSTRACT`
  `CATEGORY`
  `CITY`
  `CONTACT`
  `CONTENT_LOCATION_CODE`
  `CONTENT_LOCATION_NAME`
  `COPYRIGHT_NOTICE`
  `COUNTRY_PRIMARY_LOCATION_CODE`
  `COUNTRY_PRIMARY_LOCATION_NAME`
  `CREDIT`
  `DATE_CREATED`
  `DIGITAL_CREATION_DATE`
  `DIGITAL_CREATION_TIME`
  `EDIT_STATUS`
  `EDITORIAL_UPDATE`
  `EXPIRATION_DATE`
  `EXPIRATION_TIME`
  `FIXTURE_IDENTIFIER`
  `HEADLINE`
  `IMAGE_ORIENTATION`
  `IMAGE_TYPE`
  `KEYWORDS`
  `LANGUAGE_IDENTIFIER`
  `OBJECT_ATTRIBUTE_REFERENCE`
  `OBJECT_CYCLE`
  `OBJECT_DATA_PREVIEW_DATA`
  `OBJECT_DATA_PREVIEW_FILE_FORMAT`
  `OBJECT_DATA_PREVIEW_FILE_FORMAT_VERSION`
  `OBJECT_NAME`
  `OBJECT_TYPE_REFERENCE`
  `ORIGINAL_TRANSMISSION_REFERENCE`
  `ORIGINATING_PROGRAM`
  `PROGRAM_VERSION`
  `PROVINCE_STATE`
  `RASTERIZED_CAPTION`
  `RECORD_VERSION`
  `REFERENCE_DATE`
  `REFERENCE_NUMBER`
  `REFERENCE_SERVICE`
  `RELEASE_DATE`
  `RELEASE_TIME`
  `SOURCE`
  `SPECIAL_INSTRUCTIONS`
  `SUBJECT_REFERENCE`
  `SUBLOCATION`
  `SUPPLEMENTAL_CATEGORY`
  `TIME_CREATED`
  `URGENCY`
  `WRITER_EDITOR`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `final String`
  `name`
  `final int`
  `type`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getName()`
  `int`
  `getType()`
  `static IptcType`
  `getUnknown(int type)`
  `String`
  `toString()`
  `static IptcTypes`
  `valueOf(String name)`
  Returns the enum constant of this type with the specified name.
  `static IptcTypes[]`
  `values()`
  Returns an array containing the constants of this enum type, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### RECORD_VERSION

    public static final IptcTypes RECORD_VERSION

  - ### OBJECT_TYPE_REFERENCE

    public static final IptcTypes OBJECT_TYPE_REFERENCE

  - ### OBJECT_ATTRIBUTE_REFERENCE

    public static final IptcTypes OBJECT_ATTRIBUTE_REFERENCE

  - ### OBJECT_NAME

    public static final IptcTypes OBJECT_NAME

  - ### EDIT_STATUS

    public static final IptcTypes EDIT_STATUS

  - ### EDITORIAL_UPDATE

    public static final IptcTypes EDITORIAL_UPDATE

  - ### URGENCY

    public static final IptcTypes URGENCY

  - ### SUBJECT_REFERENCE

    public static final IptcTypes SUBJECT_REFERENCE

  - ### CATEGORY

    public static final IptcTypes CATEGORY

  - ### SUPPLEMENTAL_CATEGORY

    public static final IptcTypes SUPPLEMENTAL_CATEGORY

  - ### FIXTURE_IDENTIFIER

    public static final IptcTypes FIXTURE_IDENTIFIER

  - ### KEYWORDS

    public static final IptcTypes KEYWORDS

  - ### CONTENT_LOCATION_CODE

    public static final IptcTypes CONTENT_LOCATION_CODE

  - ### CONTENT_LOCATION_NAME

    public static final IptcTypes CONTENT_LOCATION_NAME

  - ### RELEASE_DATE

    public static final IptcTypes RELEASE_DATE

  - ### RELEASE_TIME

    public static final IptcTypes RELEASE_TIME

  - ### EXPIRATION_DATE

    public static final IptcTypes EXPIRATION_DATE

  - ### EXPIRATION_TIME

    public static final IptcTypes EXPIRATION_TIME

  - ### SPECIAL_INSTRUCTIONS

    public static final IptcTypes SPECIAL_INSTRUCTIONS

  - ### ACTION_ADVISED

    public static final IptcTypes ACTION_ADVISED

  - ### REFERENCE_SERVICE

    public static final IptcTypes REFERENCE_SERVICE

  - ### REFERENCE_DATE

    public static final IptcTypes REFERENCE_DATE

  - ### REFERENCE_NUMBER

    public static final IptcTypes REFERENCE_NUMBER

  - ### DATE_CREATED

    public static final IptcTypes DATE_CREATED

  - ### TIME_CREATED

    public static final IptcTypes TIME_CREATED

  - ### DIGITAL_CREATION_DATE

    public static final IptcTypes DIGITAL_CREATION_DATE

  - ### DIGITAL_CREATION_TIME

    public static final IptcTypes DIGITAL_CREATION_TIME

  - ### ORIGINATING_PROGRAM

    public static final IptcTypes ORIGINATING_PROGRAM

  - ### PROGRAM_VERSION

    public static final IptcTypes PROGRAM_VERSION

  - ### OBJECT_CYCLE

    public static final IptcTypes OBJECT_CYCLE

  - ### BYLINE

    public static final IptcTypes BYLINE

  - ### BYLINE_TITLE

    public static final IptcTypes BYLINE_TITLE

  - ### CITY

    public static final IptcTypes CITY

  - ### SUBLOCATION

    public static final IptcTypes SUBLOCATION

  - ### PROVINCE_STATE

    public static final IptcTypes PROVINCE_STATE

  - ### COUNTRY_PRIMARY_LOCATION_CODE

    public static final IptcTypes COUNTRY_PRIMARY_LOCATION_CODE

  - ### COUNTRY_PRIMARY_LOCATION_NAME

    public static final IptcTypes COUNTRY_PRIMARY_LOCATION_NAME

  - ### ORIGINAL_TRANSMISSION_REFERENCE

    public static final IptcTypes ORIGINAL_TRANSMISSION_REFERENCE

  - ### HEADLINE

    public static final IptcTypes HEADLINE

  - ### CREDIT

    public static final IptcTypes CREDIT

  - ### SOURCE

    public static final IptcTypes SOURCE

  - ### COPYRIGHT_NOTICE

    public static final IptcTypes COPYRIGHT_NOTICE

  - ### CONTACT

    public static final IptcTypes CONTACT

  - ### CAPTION_ABSTRACT

    public static final IptcTypes CAPTION_ABSTRACT

  - ### WRITER_EDITOR

    public static final IptcTypes WRITER_EDITOR

  - ### RASTERIZED_CAPTION

    public static final IptcTypes RASTERIZED_CAPTION

  - ### IMAGE_TYPE

    public static final IptcTypes IMAGE_TYPE

  - ### IMAGE_ORIENTATION

    public static final IptcTypes IMAGE_ORIENTATION

  - ### LANGUAGE_IDENTIFIER

    public static final IptcTypes LANGUAGE_IDENTIFIER

  - ### AUDIO_TYPE

    public static final IptcTypes AUDIO_TYPE

  - ### AUDIO_SAMPLING_RATE

    public static final IptcTypes AUDIO_SAMPLING_RATE

  - ### AUDIO_SAMPLING_RESOLUTION

    public static final IptcTypes AUDIO_SAMPLING_RESOLUTION

  - ### AUDIO_DURATION

    public static final IptcTypes AUDIO_DURATION

  - ### AUDIO_OUTCUE

    public static final IptcTypes AUDIO_OUTCUE

  - ### OBJECT_DATA_PREVIEW_FILE_FORMAT

    public static final IptcTypes OBJECT_DATA_PREVIEW_FILE_FORMAT

  - ### OBJECT_DATA_PREVIEW_FILE_FORMAT_VERSION

    public static final IptcTypes OBJECT_DATA_PREVIEW_FILE_FORMAT_VERSION

  - ### OBJECT_DATA_PREVIEW_DATA

    public static final IptcTypes OBJECT_DATA_PREVIEW_DATA

- ## Field Details

  - ### type

    public final int type

  - ### name

    public final String name

- ## Method Details

  - ### values

    public static IptcTypes[] values()
    Returns an array containing the constants of this enum type, in the order they are declared.
    Returns:
      an array containing the constants of this enum type, in the order they are declared

  - ### valueOf

    public static IptcTypes valueOf(String name)
    Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum type has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### getUnknown

    public static IptcType getUnknown(int type)

  - ### getName

    public String getName()
    Specified by:
      `getName` in interface `IptcType`

  - ### getType

    public int getType()
    Specified by:
      `getType` in interface `IptcType`

  - ### toString

    public String toString()
    Specified by:
      `toString` in interface `IptcType`
    Overrides:
      `toString` in class `Enum<IptcTypes>`